
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript类型系统之基本数据类型与包装类型_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript类型系统之基本数据类型与包装类型_javascript技巧 写在前面的话 javascript的数据类型可以分为两种:原始类型和引用类型 原始类型也称为基本类型或简单类型,因为其占据空间固定,是简单的数据段,为了便于提升变量查询速度,将其存储在栈(stack)中(按值访问).其中,javascript基本数据类型包括Undefined.Null.Boolean.Number和String五种 引用类型由于其值的大小会改变,所以不能将其存放在栈中,否则会降低变量查询速度,因此其存储在堆(heap)中,存储在变量处的值是一个指针,指向存储对象的内存处(按址访">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript类型系统之基本数据类型与包装类型_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>写在前面的话</strong></p>
<p>　　javascript的数据类型可以分为两种：原始类型和引用类型</p>
<p>　　原始类型也称为基本类型或简单类型，因为其占据空间固定，是简单的数据段，为了便于提升变量查询速度，将其存储在栈(stack)中(按值访问)。其中，javascript基本数据类型包括Undefined、Null、Boolean、Number和String五种</p>
<p>　　引用类型由于其值的大小会改变，所以不能将其存放在栈中，否则会降低变量查询速度，因此其存储在堆(heap)中，存储在变量处的值是一个指针，指向存储对象的内存处(按址访问)</p>
<p>　　[注意]对于引用类型的值，可以为其添加属性和方法，也可以改变和删除其属性和方法；但基本类型不可以添加属性和方法</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDEwNjA5Mjc0MTUuZ2lm.jpg"></p>
<p><strong>Undefined</strong></p>
<p>　　Undefined类型只有一个值，就是undefined。当声明的变量未初始化时，该变量的默认值是undefined</p>
<pre>
var test;//undefined
console.log(test == undefined);//true
var test = undefined;//undefined </pre>
<p>　　对于尚未声明过的变量只能执行一项操作，使用typeof操作符检测其数据类型，但严格模式下会导致错误</p>
<p>typeof(test);//undefined</p>
<p><strong>出现场景<br /></strong></p>
<p>　　[1]已声明未赋值的变量</p>
<p>　　[2]获取对象不存在的属性</p>
<p>　　[3]无返回值的函数的执行结果</p>
<p>　　[4]函数的参数没有传入</p>
<p>　　[5]void(expression)</p>
<p><strong>类型转换</strong></p>
<pre>
　　Boolean(undefined):　 false
　　Number(undefined):　 NaN
　　String(undefined):　　'undefined'</pre>
<p><strong>Null</strong></p>
<p>　　Null类型只有一个值，就是null。逻辑角度看，null值表示一个空对象指针，如果定义的变量将用于保存对象，最好将该变量初始化为null。实际上undefined值是派生自null值的，所以undefined == null</p>
<p>　　[注意]null是空对象指针，而[]是空数组，{}是空对象，三者不相同</p>
<pre>
console.log(null == undefined);//true </pre>
<p><strong>出现场景</strong></p>
<p>　　对象不存在时</p>
<p><strong>类型转换</strong></p>
<p>　　Boolean(null): 　　false<br />
　　Number(null):　　 0<br />
　　String(null): 　　 'null'</p>
<p>　　[注意]因为undefined和null不是构造器类型，所以不能添加自定义属性</p>
<p><strong>包装类型</strong></p>
<p>　　包装类型是特殊的引用类型。每当读取一个基本类型值的时候，后台就会创建一个对应的基本包装类型的对象，从而可能调用一些方法来操作这些数据。包装类型共包括Boolean、Number和String三种</p>
<pre>
var s1 = 'some text';
var s2 = s1.substring(2);
//在上述过程中，实际上发生了三个步骤
var s1 = new String('some text'); //(1)创建String类型的一个实例
var s2 = s1.substring(2); //(2)在实例上调用指定的方法
s1 = null; //(3)销毁这个实例 </pre>
<p>　　[注意]引用类型和基本包装类型的主要区别是对象的生存期。使用new操作符创建的引用类型的实例，在执行流离开当前作用域之前都一直保存在内存中。而自动创建的基本包装类型的对象，则只存在于一行代码的执行瞬间，然后立即被销毁。这意味着不能在运行时为基本类型值添加属性和方法</p>
<pre>
var s1 = 'some text';
s1.color = 'red';
alert(s1.color);//undefined </pre>
<p><strong>创建方式<br /></strong></p>
<p>显式创建包装类型共两种方式:</p>
<p>　　[1]Object方式[不建议使用]</p>
<pre>
var s = new Object('abc');
var b = new Object(true);
var n = new Object(123); </pre>
<p>　　[2]构造函数方式[不建议使用]</p>
<pre>
var s = new String('abc');
var b = new Boolean(true);
var n = new Number(123); </pre>
<p>　　[注意]使用new调用基本包装类型的构造函数与直接调用同名的转型函数是不一样的</p>
<pre>
var value = '25';
var number = Number(value);
console.log(typeof number);//number
var obj = new Number(value);
console.log(typeof obj);//object </pre>
<p><strong>Boolean</strong></p>
<p>　　Boolean类型只有两个值：true 和 false。Boolean包装类型是与布尔值对应的引用类型，在布尔表达式中使用Boolean对象容易造成误解</p>
<p><strong>出现场景</strong></p>
<p>　　[1]条件语句导致系统执行的隐士类型转换</p>
<p>　　[2]字面量或变量定义</p>
<p><strong>类型转换</strong></p>
<p>　　Number(true): 1 　　　　|| 　　Number(false) : 0<br />
　　String(true):'true' 　　　 || 　　String(false):'false'</p>
<p>Boolean()</p>
<p>　　Boolean(undefined):false<br />
　   Boolean(null):false</p>
<p>　　Boolean(非空对象包括空数组[]和空对象{}):true</p>
<p>　　Boolean(非0): true || Boolean(0和NaN):false</p>
<p>　　Boolean(非空包括空格字符串):true || Boolean(''):false</p>
<p>　　[注意]true不一定等于1，false也不一定等于0</p>
<p><strong>包装类型继承的方法</strong></p>
<p>　　valueOf():返回基本类型值true 或 false</p>
<p>　　toString()和toLocaleString():返回字符串'true' 或'false'</p>
<pre>
console.log(typeof true.valueOf(),true.valueOf());//boolean true
console.log(typeof false.valueOf(),false.valueOf());//boolean false
console.log(typeof true.toString(),true.toString());//String 'true'
console.log(typeof false.toString(),false.toString());//String 'false'
console.log(typeof true.toLocaleString(),true.toLocaleString());//String 'true'
console.log(typeof false.toLocaleString(),false.toLocaleString());//String 'false' </pre>
<p><strong>Number</strong></p>
<p>　　javascript只有一种数字类型，既可以表示32位的整数，还可以表示64位的浮点数</p>
<p>　　关于Number类型的详细信息移步到此</p>
<p><strong>String</strong></p>
<p>　　String类型是javascript中唯一没有固定大小的原始类型</p>
<p>下面接着来理解下JavaScript基本数据类型的包装对象</p>
<p><strong>现象：</strong>为什么可以对字符串的操作采用对象的表示法？</p>
<p><strong>例如： </strong>         </p>
<pre>
var s    = "this is a String";
      var len   = s.length; </pre>
<p><strong>解析：</strong></p>
<p>JavaScript三个基本数据类型都有相应的对象类；分别为Sring,Number,Boolean类；<br />
JavaScript可以灵活的将一种类型的值转换为另一种类型；<br />
当我们在对象环境中使用字符串时，即当我们试图访问这个字符串的属性或方法时；<br />
JavaScript会为这个字符串值内部地创建一个String包装对象；<br />
String对象会暂时代替原始的字符串值，完成我们的访问；<br />
这个被内部创建的String对象是瞬间存在的，它的作用是使我们可以正常访问属性和方法；<br />
String对象在使用过后会被系统丢弃掉；<br />
而原始值并不会被改变；</p>
<p>    以上同样适用于数字和布尔值类型；</p>
<p>    使用Object()函数，任何数字、字符串、布尔值都可以转换为它对应的包装对象；</p>
<p>    例如：</p>
<pre>
var number_wrapper  = Object (3);</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript基本类型<br />
                                    javascript包装类型<br />
                                    javascript基本类型、javascript的基本类型、基本数据类型的包装类、基本包装类型、基本数据类型包装类，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:10:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript%e5%8c%85%e8%a3%85%e7%b1%bb%e5%9e%8b/" title="javascript包装类型">javascript包装类型</a>, <a href="https://www.iamivan.net/tag/javascript%e5%9f%ba%e6%9c%ac%e7%b1%bb%e5%9e%8b/" title="javascript基本类型">javascript基本类型</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript类型系统之基本数据类型与包装类型_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNv5gdM.html" rel="bookmark">Javascript如何判断数据类型和数组类型&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这么基础的东西实在不应该再记录了,不过嘛,温故知新~就先从数据类型开始吧 js六大数据类型:number.string.object.Boolean.null.undefined string: 由单引号或双引号来说明,如&quot;string&quot; number:什么整数啊浮点数啊都叫数字,你懂的~ Boolean: 就是true和false啦 undefined:未定义,就是你创建一个变量后却没给它赋值~ null: 故名思久,null就是没有,什么也不表示 object: 这个我也很难解释的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWggdz.html" rel="bookmark">浅谈Javascript中的12种DOM节点类型&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 DOM的作用是将网页转为一个javascript对象,从而可以使用javascript对网页进行各种操作(比如增删内容).浏览器会根据DOM模型,将HTML文档解析成一系列的节点,再由这些节点组成一个树状结构.DOM的最小组成单位叫做节点(node),文档的树形结构(DOM树)由12种类型的节点组成. 属性 一般地,节点至少拥有nodeType.nodeName和nodeValue这三个基本属性. 节点类型不同,这三个属性的值也不相同 nodeType nodeType属性返回节点类型的常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0gJ5z.html" rel="bookmark">javascript实现获取浏览器版本、操作系统类型&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码很简洁,功能很实用,这里就不多废话了,直接给大家奉上代码: /** * Created by Administrator on 15-1-12. */ function BroswerUtil() { } BroswerUtil = { //检测浏览器版本 getBrowserVersion: function () { var agent = navigator.userAgent.toLowerCase(); var arr = []; var Browser = &quot;&quot;; va			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GyOJp.html" rel="bookmark">javascript实现获取浏览器版本、浏览器类型&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     从网上找到一段使用JavaScript判断浏览器以及浏览器版本的比较好的代码,在此记录一下: &lt;script type=&quot;text/javascript&quot;&gt; var Sys = {}; var ua = navigator.userAgent.toLowerCase(); var s; (s = ua.match(/msie ([\d.]+)/)) ? Sys.ie = s[1] : (s = ua.match(/firefox\/([\d.]+)/)) ? Sy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ky2gp.html" rel="bookmark">详细分析JavaScript变量类型&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变量类型                                  只有6种 : 四种原始数据类型boolean , number, string , undefine, 其他object,function是对象  typeof,instanceof                   直接看实例: var obj = null; console.info(typeof obj); //Object var arr = []; console.info(arr instanceof Ob			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p58JWWM.html" rel="bookmark">JavaScript中判断数据类型的方法总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				typeoftypeof用的比较多的时候,是判断某个全局变量在不在,假如某个页面定义了一个全局变量.假如你做如下判断: //haorooms是全局变量 if(haorooms!=undefined){ }//js会报错,说&quot;Uncaught ReferenceError: haorooms is not defined&quot; 解决的方法是我们如下写: if(typeof haorooms!=undefined){ } 用了typeof之后,就不会报错了!这是typeof的应用之一! 此外,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNv3oWM.html" rel="bookmark">浅谈JavaScript中的string拥有方法的原因&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子 我们都知道,JavaScript数据类型分两大类,基本类型(或者称原始类型)和引用类型. 基本类型的值是保存在栈内存中的简单数据段,它们是按值访问的.JS中有五种基本类型:Undefined.Null.Boolean.Number和String. 引用类型的值是保存在堆内存中的对象,它的值是按引用访问的.引用类型主要有Object.Array.Function.RegExp.Date. 对象是拥有属性和方法的,所以我们看到下面这段代码一点也不奇怪. var favs=['鸡蛋','莲蓬']			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZ3mep.html" rel="bookmark">JavaScript的9种继承实现方式归纳&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不同于基于类的编程语言,如 C++ 和 Java,JavaScript 中的继承方式是基于原型的.同时由于 JavaScript 是一门非常灵活的语言,其实现继承的方式也非常多. 首要的基本概念是关于构造函数和原型链的,父对象的构造函数称为Parent,子对象的构造函数称为Child,对应的父对象和子对象分别为parent和child. 对象中有一个隐藏属性[[prototype]](注意不是prototype),在 Chrome 中是__proto__,而在某些环境下则不可访问,它指向的是这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GaJop.html" rel="bookmark">关于JavaScript数组你所不知道的3件事&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编程语言当中,数组(Array)是一个非常常用的功能:它是一种特殊的变量,可以用来同时储存多个数值.然而,在JavaScript方面,数组的功能还有很多其他值得探索的地方. 在这篇文章中,我们将会讨论JavaScript数组的三个并不那么常见的功能. 1. 给数组添加自定义属性 在网上搜寻有关JavaScript数组的定义时,你会发现几乎所有人对于数组的定义都一样:一种对象. 事实上,我们用JavaScript处理的所有东西,都可以视为是一种对象.JavaScript中有两种数据类型,基本类型			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbElWnz.html" rel="bookmark" class="title">圆形进度条定制</a>
					<div>
						// // HYBCircleProgressBar.h // CircleBarProject // // Created by huangyibiao on 14-8-16. // Copyrig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQjRZM.html" rel="bookmark" class="title">使用Groovy开发Android应用</a>
					<div>
						作者:snowdream Email:yanghui1986527#gmail.com QQ 群: 529327615原文地址:https://snowdream.github.io/blog/201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPXnvp.html" rel="bookmark" class="title">个性化表单五技巧</a>
					<div>
						技巧 想必大家在页面都使用过表单,如果你对单调的表单控制单元不满意,不妨看看以下几条技巧: 1.表单文本输入的移动选择:在文本输入栏中,如果加入了提示,来访者往往要用鼠标选取后删除,再输入有用的信息. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2r2Vb.html" rel="bookmark" class="title">一行代码生成Google SiteMap</a>
					<div>
						google|sitemap javascript:var%20u=document.location.href;var%20t=prompt('输入更新时间:\n\n\n','');var%20p= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM65WJb.html" rel="bookmark" class="title">用CSS制作鼠标经过图像</a>
					<div>
						css|鼠标 以前我们用表格来布局网页时,我们都很喜欢用DW(Dreamweav)中的&quot;鼠标经过图像&quot;,因为那的确吸引人!但是我们也同样发现这样的一个问题:当网速不太快的时候,鼠标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyEndM.html" rel="bookmark" class="title">锣鼓网徐瑜骏：广告主都是&OpenCurlyDoubleQuote;吕不韦&rdquo;精得要命</a>
					<div>
						9月7日消息,昨天锣鼓网CEO陈哲峯.市场总监徐瑜骏做客赛迪网,谈及有关盈利模式的相关看法时,锣鼓网市场总监徐瑜骏强调说:&quot;广告主都是吕不韦,精得要命&quot;. 在互联网快速发展的今天, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwOaRz.html" rel="bookmark" class="title">Dreamweaver MX 2004视频宝典教程&lpar;80&rpar;</a>
					<div>
						dreamweaver|教程 第 80 集:CSS的扩展属性 课程目标:学习掌握CSS的不同扩展属性及在Dreamweaver中的设置方法 课程要点:扩展属性包括分页.视觉效果(包括光标.过滤器)等. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj47dp.html" rel="bookmark" class="title">站内优化系列教程二：网站头部和底部优化</a>
					<div>
						前面给大家讲了&lt;站内优化系列教程一:导航优化和结构优化&gt;和&lt;站内优化系列教程二:URL和网站地图优化&gt;两课,今天讲第三课&lt;站内优化系列教程二:网站头部和底部优化&gt;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPlkQM.html" rel="bookmark" class="title">AspectNet功能介绍&lpar;二&rpar;</a>
					<div>
						AspectNet是一个基于.Net Framework的方面编制器,它同时能实现静态编织和动态编织,是bobmazelin个人的研究性项目,现仍然处于开发阶段,有关AOP概念的介绍请参考:www.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7nNab.html" rel="bookmark" class="title">配置Struts应用</a>
					<div>
						Struts应用采用两个基于XML的配置文件来配置,分别是web.xml和struts-cofig.xml文 件.web.xml文件是配置所有web应用的而struts-config.xml文件是st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRPnqz.html" rel="bookmark" class="title">MySql Blob图片类型存储Bug解决</a>
					<div>
						先在本地装了个Mysql,又装了个navicat管理工具,又新建了个工程来测试: 简单的测试方法,就是放一个按钮,点击一下,读取远程图片,然后存到数据库,再读取出来显示到界面上. 管理工具随意建了个表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOajn3M.html" rel="bookmark" class="title">迅雷怎么设置免打扰模式</a>
					<div>
						  1.迅雷下载安装完成后,可以看到主页面上方的设置按钮,点击可以打开迅雷下载设置界面 2.在迅雷下载设置界面可看到很多迅雷下载软件的设置项.可以设置迅雷下载的相关功能.比如,同时下载的线程数,监视设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaygkz.html" rel="bookmark" class="title">如何将文档或图片导出成PDF格式？</a>
					<div>
						在Mac上所有的文档或者图片都能导出成PDF格式,Mac系统默认支持的哦. 那到底我们如何做呢? 打开你需要的文档(用相应的软件,我再这就不多说了), 点击菜单栏上的&quot;文件&quot;-&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42GGYM.html" rel="bookmark" class="title">打印时提示您不是administrator无法打印</a>
					<div>
						  解决办法: 方法1.是说你不是以超级管理员身份登录或是用的超级管理员登录的原因,你可以注销,后看一看你有几个用户名,更换为超级管理员或非超级管理员登录就可以了. 方法2.administrator ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR1Llp.html" rel="bookmark" class="title">Java  视频监控  在自己的系统上呈现视频监控</a>
					<div>
						问题描述 Java 视频监控 在自己的系统上呈现视频监控 java如何实现监控视频的数据流获取,以及摄像头的远程控制?在自己已有的系统上呈现视频监控.在线求助. 解决方案 http://sid1211 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwwVop.html" rel="bookmark" class="title">郁闷&comma;难题&comma;百分求一解决方案&period;</a>
					<div>
						问题描述 现在假如有两个网站:1.www.A.com/index.html2.www.B.com/index.aspx其中A网站是没有数据库的,现在www.A.com/index.html想通过aja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAe9GM.html" rel="bookmark" class="title">Asp&period;Net控件的客户端命名</a>
					<div>
						我们在用ASP.NET写出来的网页,用浏览器来查看生成的客户端代码的时候经常看到这样的代码:GridView1_ctl101_WebUserControl1_webuserControlButton, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6aBAM.html" rel="bookmark" class="title">CentOS安装Nginx</a>
					<div>
						一.安装准备   首先由于nginx的一些模块依赖一些lib库,所以在安装nginx之前,必须先安装这些lib库,这些依赖库主要有g++.gcc.openssl-devel.pcre-devel和zl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qo96p.html" rel="bookmark" class="title">Ubuntu查看二进制文件&mdash;&mdash;hd</a>
					<div>
						apt-get install libdata-hexdumper-perl 安装好之后就可以直接hexdump your_binary_filehexdump显示的是字节倒序的???? 也可以直接使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRaNmb.html" rel="bookmark" class="title">10个 iOS 用户暂可以嘲笑 Android 的特点</a>
					<div>
						Android 与 iOS 设备之间的争斗从未停止,毕竟一切高科技产品的理念和实际表现方式都不相同.就拿 Android 来说,很多功能令用户并 不太开心,甚至是令人愤怒,下面让我们来简单的盘点 10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBdmPM.html" rel="bookmark" class="title">gcc 编译-编译GCC，建立mcore的编译器</a>
					<div>
						问题描述 编译GCC,建立mcore的编译器 因为芯片跟mcore比较类似,所以要用这个试试,可是这编译器就搞不定了. GCC安装的依赖包:gmp-5.0.1 mpfr-3.1.3 mpc-1.0.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyRqXz.html" rel="bookmark" class="title">代码-用递归能实现一个数组划分的算法么？</a>
					<div>
						问题描述 用递归能实现一个数组划分的算法么? 用递归能实现一个数组划分的算法么? 给一个数组,长度为m,划分成n个子数组(每个数组起码有一个元素),比如 {1 2 3 4 5}划分成2个: 1, 23 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7rZ2z.html" rel="bookmark" class="title">jQuery 省市区多级（三级&sol;四级&sol;五级。。。）联动 BY 凨来了</a>
					<div>
						/** * 省市县区三级多级联动 * author:凨来了 */ jQuery(function($) { var city=[],cityName=[]; $.fn.city = function  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N5x3b.html" rel="bookmark" class="title">C&plus;&plus;如何调用matlab函数&lowbar;C 语言</a>
					<div>
						本来电脑上安装的是matlab2012b,但是好像2012b只有64位的,故重新安装matlab7,安装完注册一下,cmd cd到matlab7的程序目录bin文件夹下,注册 matlab /regs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPldRZp.html" rel="bookmark" class="title">getHibernateTemplate&period;delete&lpar;&rpar;&sol;update&lpar;&rpar;执行失败！求助！！！</a>
					<div>
						问题描述 如题,项目中删除和更新操作都不能正确执行...delete()方法执行的时候已经进入dao里面,是在spring的hibernatetemplate中遇到问题的,这部分的代码我不能调试... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q4Oqp.html" rel="bookmark" class="title">多表判断关联查询</a>
					<div>
						问题描述 A表( id int, idd int, type int(0,表示B表,1表示C表(state=0),2表示C表(state=1))A表数据testid idd type15 1 015  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW0vAM.html" rel="bookmark" class="title">返现网站cps广告的寄生虫</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 返现类网站经过两三年的发展后,揽得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvxyjM.html" rel="bookmark" class="title">智慧医疗设备将是缓解心理健康的一大帮手</a>
					<div>
						每天都有一名美国医生自杀,我国也不容乐观,便携式医疗设备将缓解医护人员的精神压力! 医生是一个令人向往的职业,但成为一名医生却必须是饱受风霜的.在青春年少时,学子们拼命考大学,几年后终于毕业了,却又要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr70x4p.html" rel="bookmark" class="title">Flipboard收购CNN旗下新闻聚合应用Zite</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯 北京时间3月6日早间消息,新闻聚合应用Flipboard周三表示,已从CNN手中收购竞争对手Zite,并与CNN签订了内容合作协议. 根据C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLK1jp.html" rel="bookmark" class="title">且看互联网，进击传统媒体</a>
					<div>
						在现在的互联网媒体急速兴起中,互联网媒体一波接一波的冲击着传统媒体,但是每一次都没有导致传统媒体的消亡,不过在事实上,在不同的重点领域,互联网媒体在不同的程度上对传统媒体产生了深远影响.那互联网媒体对 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
